--   This file is part of Reno desktop.
--
--  Reno desktop is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
--
--  Reno desktop is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License along with Reno desktop. If not, see <https://www.gnu.org/licenses/>. 

local awful = require("awful")
local gears = require("gears")
local beautiful = require("beautiful")
local ask = require("asckey")

return function(args)
    local hotkeys_popup = require("awful.hotkeys_popup")
    require("awful.hotkeys_popup.keys")
    root.keys(gears.table.join(
        root.keys(),
        ask.k(":help.show",function()
            hotkeys_popup.show_help()
        end,{description = "show help",group = "widgets"})
    ))
    return hotkeys_popup
end
